SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual

# SQLite3::escapeString

(PHP 5 >= 5.3.0)

SQLite3::escapeString — Retourne une chaîne nettoyée

### Description

public static string SQLite3::escapeString ( string `$value` )

Retourne une chaîne qui a été nettoyée afin de l'inclure sans risque dans les requêtes SQL.

### Liste de paramètres

`value`

  La chaîne à nettoyer.

### Valeurs de retour

Retourne une chaîne nettoyée, qui pourra être utilisée sans risque dans une requête SQL.

### Notes

Avertissement

La fonction addslashes() ne doit PAS être utilisée pour protéger votre chaîne dans vos requêtes SQL ; vous pourriez observer d'étranges résultats lorsque vous récupérerez vos données.

SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual